@extends('admin::curd.index')
@section('heading')
<i class="fa fa-file-text-o"></i> {!! trans('fbaccount::facebook_account.name') !!} <small> {!! trans('cms.manage') !!} {!! trans('fbaccount::facebook_account.names') !!}</small>
@stop

@section('title')
{!! trans('fbaccount::facebook_account.names') !!}
@stop

@section('breadcrumb')
<ol class="breadcrumb">
    <li><a href="{!! trans_url('admin') !!}"><i class="fa fa-dashboard"></i> {!! trans('cms.home') !!} </a></li>
    <li class="active">{!! trans('fbaccount::facebook_account.names') !!}</li>
</ol>
@stop

@section('entry')
<div class="box box-warning" id='fbaccount-facebook_account-entry'>
</div>
@stop

@section('tools')
@stop

@section('content')
<table id="fbaccount-facebook_account-list" class="table table-striped table-bordered">
    <thead>
        <th>{!! trans('fbaccount::facebook_account.label.username')!!}</th>
                    <th>{!! trans('fbaccount::facebook_account.label.password')!!}</th>
                    <th>{!! trans('fbaccount::facebook_account.label.name')!!}</th>
                    <th>{!! trans('fbaccount::facebook_account.label.access_token')!!}</th>
                    <th>{!! trans('fbaccount::facebook_account.label.cookies')!!}</th>
                    <th>{!! trans('fbaccount::facebook_account.label.faid')!!}</th>
                    <th>{!! trans('fbaccount::facebook_account.label.birthday')!!}</th>
                    <th>{!! trans('fbaccount::facebook_account.label.phone_number')!!}</th>
                    <th>{!! trans('fbaccount::facebook_account.label.PRIMARY')!!}</th>
    </thead>
</table>
@stop

@section('script')
<script type="text/javascript">

var oTable;
$(document).ready(function(){
    app.load('#fbaccount-facebook_account-entry', '{!!URL::to('admin/fbaccount/facebook_account/0')!!}');
    oTable = $('#fbaccount-facebook_account-list').dataTable( {
        "ajax": '{!! URL::to('/admin/fbaccount/facebook_account') !!}',
        "columns": [
            {data :'username'},
                    {data :'password'},
                    {data :'name'},
                    {data :'access_token'},
                    {data :'cookies'},
                    {data :'faid'},
                    {data :'birthday'},
                    {data :'phone_number'},
                    {data :'PRIMARY'},
        ],
        "pageLength": 50
    });

    $('#fbaccount-facebook_account-list tbody').on( 'click', 'tr', function () {

        if ($(this).hasClass('selected') ) {
            $(this).removeClass('selected');
        } else {
            oTable.$('tr.selected').removeClass('selected');
            $(this).addClass('selected');
        }

        var d = $('#fbaccount-facebook_account-list').DataTable().row( this ).data();

        $('#fbaccount-facebook_account-entry').load('{!!URL::to('admin/fbaccount/facebook_account')!!}' + '/' + d.id);

    });
});
</script>
@stop

@section('style')
@stop

