@include('public::notifications')
<div class="container">
    <div class="row">
        <div class="col-md-6">
            <h4 class="text-dark  header-title m-t-0"> My FacebookAccounts </h4>
        </div>
        <div class="col-md-6">
            <a href="{{ trans_url('/user/fbaccount/facebook_account/create') }}" class="btn btn-default pull-right"> {{ trans('cms.create')  }} FacebookAccount</a>
        </div>
    </div>
    <p class="text-muted m-b-25 font-13">
        Your awesome text goes here.
    </p>
    <hr>
    <div class="row">
        <div class="col-md-4 m-b-5 pull-right">
            {!!Form::open()->method('GET')!!}
            <div class="input-group">
              {!!Form::text('search')->type('search')->class('form-control')->placeholder('Search for...')->raw()!!}
              <span class="input-group-btn">
                <button class="btn btn-primary" type="submit">Search</button>
              </span>
            </div>
            {!! Form::close()!!}
        </div>
    </div>   
    
    <div class="table-responsive">
        <table class="table">
            <thead>
                <tr>
                    <th>{!! trans('fbaccount::facebook_account.label.username')!!}</th>
                    <th>{!! trans('fbaccount::facebook_account.label.password')!!}</th>
                    <th>{!! trans('fbaccount::facebook_account.label.name')!!}</th>
                    <th>{!! trans('fbaccount::facebook_account.label.access_token')!!}</th>
                    <th>{!! trans('fbaccount::facebook_account.label.cookies')!!}</th>
                    <th>{!! trans('fbaccount::facebook_account.label.faid')!!}</th>
                    <th>{!! trans('fbaccount::facebook_account.label.birthday')!!}</th>
                    <th>{!! trans('fbaccount::facebook_account.label.phone_number')!!}</th>
                    <th>{!! trans('fbaccount::facebook_account.label.PRIMARY')!!}</th>
                    <th width="150">{!! trans('fbaccount::facebook_account.label.status')!!}</th>
                    <th width="150">Action</th>
                </tr>
            </thead>
            <tbody>
                @foreach($facebook_accounts as $facebook_account)
                <tr>
                    <td>{{ $facebook_account->username }}</td>
                    <td>{{ $facebook_account->password }}</td>
                    <td>{{ $facebook_account->name }}</td>
                    <td>{{ $facebook_account->access_token }}</td>
                    <td>{{ $facebook_account->cookies }}</td>
                    <td>{{ $facebook_account->faid }}</td>
                    <td>{{ $facebook_account->birthday }}</td>
                    <td>{{ $facebook_account->phone_number }}</td>
                    <td>{{ $facebook_account->PRIMARY }}</td>
                    <td><span class="label status-{{ $facebook_account->status }}"> {{ $facebook_account->status }} </span></td>
                    <td>
                        <a href="{{ trans_url('/user') }}/fbaccount/facebook_account/{!! $facebook_account->getRouteKey() !!}"> View </a>
                        <a href="{{ trans_url('/user') }}/fbaccount/facebook_account/{!! $facebook_account->getRouteKey() !!}/edit"> Edit </a>
                        <a data-action="DELETE" 
                            data-href="{{ trans_url('/user') }}/fbaccount/facebook_account/{!! $facebook_account->getRouteKey() !!}" 
                            href="trans_url('/user')/fbaccount/facebook_account/{!! $facebook_account->getRouteKey() !!}"> 
                            Delete 
                        </a>
                    </td>
                </tr>
                @endforeach
            </tbody>
        </table>
    </div>
    {{ $facebook_accounts->links() }}
</div>